aboutsummaryrefslogtreecommitdiff
path: root/devel/subversion16/pkg-deinstall
diff options
context:
space:
mode:
authorBruce A. Mah <bmah@FreeBSD.org>2003-05-23 01:31:48 +0000
committerBruce A. Mah <bmah@FreeBSD.org>2003-05-23 01:31:48 +0000
commit7b040896425b848fec68c4c3ab03d957576a9d07 (patch)
tree0a5688f23313a89f22d6aa93ad15ca4eff548c77 /devel/subversion16/pkg-deinstall
parent4ef987ed223d197dc2efa5d21362f72f27f82fd0 (diff)
downloadports-7b040896425b848fec68c4c3ab03d957576a9d07.tar.gz
ports-7b040896425b848fec68c4c3ab03d957576a9d07.zip
Notes
Diffstat (limited to 'devel/subversion16/pkg-deinstall')
-rw-r--r--devel/subversion16/pkg-deinstall57
1 files changed, 57 insertions, 0 deletions
diff --git a/devel/subversion16/pkg-deinstall b/devel/subversion16/pkg-deinstall
new file mode 100644
index 000000000000..ced36ce3c20b
--- /dev/null
+++ b/devel/subversion16/pkg-deinstall
@@ -0,0 +1,57 @@
+#!/bin/sh
+#
+# Try to de-activate mod_dav_svn in the installed httpd.conf and warn
+# if this fails.
+#
+# $FreeBSD$
+#
+
+if [ "$2" != "POST-DEINSTALL" ]; then
+ exit 0
+fi
+
+TMPDIR=${TMPDIR:=/tmp}
+PKG_TMPDIR=${PKG_TMPDIR:=${TMPDIR}}
+
+apxscmd=${PKG_PREFIX}/sbin/apxs
+tmpdir=${PKG_TMPDIR}/deinstmod_dav_svn.$$
+
+if [ ! -x ${apxscmd} ]; then
+ echo Can\'t find the apxs program: ${apxscmd}.
+ exit 1
+fi
+
+confdir=`${apxscmd} -q SYSCONFDIR`
+
+if [ ! -d ${confdir} ]; then
+ echo Can\'t find Apache conf dir: ${confdir}
+ exit 1
+fi
+
+if [ -f ${confdir}/httpd.conf ]; then
+ conffile=httpd.conf
+fi
+if [ -f ${confdir}/httpd.conf.default ]; then
+ conffile="${conffile} httpd.conf.default"
+fi
+if [ -z "${conffile}" ]; then
+ echo Can\'t find either of ${confdir}/httpd.conf or
+ echo ${confdir}/httpd.conf.default.
+ exit 1
+fi
+
+if ! mkdir ${tmpdir}; then
+ echo Can\'t create temporary directory: ${tmpdir}
+ exit 1
+fi
+
+for i in ${conffile}; do
+ awk '{if (!/^LoadModule dav_svn_module/ && !/^AddModule mod_dav_svn.c/) \
+ print $0}' < ${confdir}/$i > ${tmpdir}/$i
+ echo Removing dav_svn_module from $i in config dir: ${confdir}
+ cat ${tmpdir}/$i > ${confdir}/$i
+done
+
+rm -rf ${tmpdir}
+
+exit 0